API Documents/DWH Integration API//
- Trigger run the DWH Integration workflow.
List all DWH Integrations for the current user.
Create a new DWH Integration
Get a DWH Integration.
Update a DWH Integration.
Delete a DWH Integration.
List all Bulkload sessions of the current DWH Integration.
Get a DWH Integration configuration.
List all DWH Workflow session attempts.
Guess DWH Integration configuration
Trigger run the DWH Integ...
- Production AWS serverhttps://dwh-integration-api.treasuredata.com/v1/dwh/{dwh_id}/run_workflow
- Production EU01 serverhttps://dwh-integration-api.eu01.treasuredata.com/v1/dwh/{dwh_id}/run_workflow
- Production AP02 serverhttps://dwh-integration-api.ap02.treasuredata.com/v1/dwh/{dwh_id}/run_workflow
- Production AP03 serverhttps://dwh-integration-api.ap03.treasuredata.com/v1/dwh/{dwh_id}/run_workflow
- Production AWS Tokyo serverhttps://dwh-integration-api.treasuredata.co.jp/v1/dwh/{dwh_id}/run_workflow
curl -i -X PUT \
'https://dwh-integration-api.treasuredata.com/v1/dwh/{dwh_id}/run_workflow' \
-H 'Authorization: YOUR_API_KEY_HERE'See the response of GET /api/attempts https://docs.digdag.io/api/ for more info
Response
{ "status": "string", "id": "string", "index": 0, "project": { "id": "string", "name": "string" }, "workflow": { "name": "string", "id": "string" }, "sessionId": "string", "sessionUuid": "string", "sessionTime": "2019-08-24T14:15:22Z", "retryAttemptName": "string", "done": true, "success": true, "cancelRequested": true, "createdAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" }